Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.threetier
Class ReadConnectionPool

`java.lang.Object
oracle.toplink.threetier.ConnectionPool
oracle.toplink.threetier.ReadConnectionPool`

public class ReadConnectionPool
extends ConnectionPool

Purpose:The read connection pool is used for read access through the server session. Any of the connection pools can be used for the read pool however this is the default. This pool allows for concurrent reads against the same JDBC connection and requires that the JDBC connection support concurrent read access.

Constructor Summary
`ReadConnectionPool()` PUBLIC: Build a new read connection pool.
`ReadConnectionPool(java.lang.String name, Login login, int minNumberOfConnections, int maxNumberOfConnections, oracle.toplink.threetier.ServerSession owner)` PUBLIC: Build a new read connection pool.

Methods inherited from class oracle.toplink.threetier.ConnectionPool
`getLogin, getMaxNumberOfConnections, getMinNumberOfConnections, getName, setLogin, setMaxNumberOfConnections, setMinNumberOfConnections, setName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReadConnectionPool

    public ReadConnectionPool()

  PUBLIC: Build a new read connection pool.

### ReadConnectionPool

    public ReadConnectionPool(java.lang.String name,
                              Login login,
                              int minNumberOfConnections,
                              int maxNumberOfConnections,
                              oracle.toplink.threetier.ServerSession owner)

  PUBLIC: Build a new read connection pool.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD